Accepting request 400457 from home:trenn
- FCOE fix bsc#982588 * Add 0212-fcoe_reorder_init_path.patch - Port missing SLES patches * Add 0197-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch * Add 0198-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch * Remove 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch * Remove 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch - Rewrite patch: * Add 0302-Revert-90multipath-add-hostonly-multipath.conf-in-ca.patch * Remove 0001-multipath_revert_mpathconf_binary_use.patch - Update 0403-95lunmask-Add-module-to-handle-LUN-masking.patch to match upstream kernel submission (FATE#319786) - Add IFS restoring where it has been lost due to mainline merging (bsc#977117) *Add 0500-Reset-IFS-variable.patch - Make sure to install collect binary (bsc#976466) * Add: 0188-95dasd_rules-Install-collect-udev-helper-binary.patch - Remove version from requires on subpackage - Add a split provide because of the package split for SLE12 SP1 to SP2 upgrade * 0001-multipath_revert_mpathconf_binary_use.patch (fate#320499) * 0170-iscsi-skip-ibft-invalid-dhcp.patch (bsc#953361) * 0160-s390-update_active_devices_initrd.patch (bsc#939101) * 0161-95zfcp_rules-simplified-rd.zfcp-commandline-for-NPIV.patch (bsc#964456) * 0190-replace-iscsistart-with-systemd-service-files.patch (fate#319024) * 0191-static_network_setup_return_zero.patch (bsc#919179) OBS-URL: https://build.opensuse.org/request/show/400457 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=258
This commit is contained in:
parent
68290a9ec9
commit
2e0abbdaf2
@ -1,7 +1,7 @@
|
||||
From 0aa152e662d2197f92617da4ab813fcd9be6f90f Mon Sep 17 00:00:00 2001
|
||||
From 3b7df07e27efd2ef2df4d9d40253ee8185eb4152 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Wieczorkiewicz <pwieczorkiewicz@suse.com>
|
||||
Date: Mon, 7 Apr 2014 16:26:57 +0200
|
||||
Subject: [PATCH] 40network: replace dhclient with wickedd-dhcp-supplicant
|
||||
Subject: 40network: replace dhclient with wickedd-dhcp-supplicant
|
||||
|
||||
SLES12 is using wickedd, so we need to replace dhclient with
|
||||
wickedd-dhcp-supplicant.
|
||||
@ -10,28 +10,27 @@ References: bnc#866771
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/40network/dhclient-script.sh | 156 ---------------------------------
|
||||
modules.d/40network/dhclient.conf | 3 -
|
||||
modules.d/40network/ifup.sh | 97 ++++++++++++++++++--
|
||||
modules.d/40network/kill-dhclient.sh | 17 ----
|
||||
modules.d/40network/module-setup.sh | 14 +--
|
||||
5 files changed, 99 insertions(+), 188 deletions(-)
|
||||
delete mode 100755 modules.d/40network/dhclient-script.sh
|
||||
modules.d/40network/dhclient.conf | 3 -
|
||||
modules.d/40network/ifup.sh | 109 ++++++++++++++++++++++++++++-------
|
||||
modules.d/40network/kill-dhclient.sh | 15 -----
|
||||
modules.d/40network/module-setup.sh | 15 +++--
|
||||
4 files changed, 98 insertions(+), 44 deletions(-)
|
||||
delete mode 100644 modules.d/40network/dhclient.conf
|
||||
delete mode 100755 modules.d/40network/kill-dhclient.sh
|
||||
|
||||
Index: dracut-044/modules.d/40network/dhclient.conf
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/dhclient.conf
|
||||
diff --git a/modules.d/40network/dhclient.conf b/modules.d/40network/dhclient.conf
|
||||
deleted file mode 100644
|
||||
index dbf5882..0000000
|
||||
--- a/modules.d/40network/dhclient.conf
|
||||
+++ /dev/null
|
||||
@@ -1,3 +0,0 @@
|
||||
-request subnet-mask, broadcast-address, time-offset, routers,
|
||||
- domain-name, domain-name-servers, domain-search, host-name,
|
||||
- root-path, interface-mtu;
|
||||
Index: dracut-044/modules.d/40network/ifup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/ifup.sh
|
||||
+++ dracut-044/modules.d/40network/ifup.sh
|
||||
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||||
index 31a04bf..92e4b38 100755
|
||||
--- a/modules.d/40network/ifup.sh
|
||||
+++ b/modules.d/40network/ifup.sh
|
||||
@@ -87,6 +87,70 @@ else
|
||||
[ -e /tmp/net.$(cat /sys/class/net/$netif/address).did-setup ] && exit 0
|
||||
fi
|
||||
@ -166,9 +165,10 @@ Index: dracut-044/modules.d/40network/ifup.sh
|
||||
if [ -e /tmp/bridge.info ]; then
|
||||
. /tmp/bridge.info
|
||||
# start bridge if necessary
|
||||
Index: dracut-044/modules.d/40network/kill-dhclient.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/kill-dhclient.sh
|
||||
diff --git a/modules.d/40network/kill-dhclient.sh b/modules.d/40network/kill-dhclient.sh
|
||||
deleted file mode 100755
|
||||
index 9a17495..0000000
|
||||
--- a/modules.d/40network/kill-dhclient.sh
|
||||
+++ /dev/null
|
||||
@@ -1,15 +0,0 @@
|
||||
-#!/bin/sh
|
||||
@ -186,10 +186,10 @@ Index: dracut-044/modules.d/40network/kill-dhclient.sh
|
||||
- read PID < $f;
|
||||
- kill -9 $PID >/dev/null 2>&1
|
||||
-done
|
||||
Index: dracut-044/modules.d/40network/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/module-setup.sh
|
||||
+++ dracut-044/modules.d/40network/module-setup.sh
|
||||
diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
|
||||
index 4bf93cc..2252995 100755
|
||||
--- a/modules.d/40network/module-setup.sh
|
||||
+++ b/modules.d/40network/module-setup.sh
|
||||
@@ -1,10 +1,13 @@
|
||||
#!/bin/bash
|
||||
|
||||
@ -236,3 +236,6 @@ Index: dracut-044/modules.d/40network/module-setup.sh
|
||||
|
||||
_arch=$(uname -m)
|
||||
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,7 +1,7 @@
|
||||
From 2bddf461e38b952a79e31650ba828a7ee506cbe9 Mon Sep 17 00:00:00 2001
|
||||
From afc08d7bbee93db0b81d20aef00f538fde3209e3 Mon Sep 17 00:00:00 2001
|
||||
From: Pawel Wieczorkiewicz <pwieczorkiewicz@suse.de>
|
||||
Date: Tue, 8 Apr 2014 08:48:27 +0200
|
||||
Subject: [PATCH] 45ifcfg: use distro-specific scripts
|
||||
Subject: 45ifcfg: use distro-specific scripts
|
||||
|
||||
Detect the system flavor and write the ifcfg files accordingly.
|
||||
|
||||
@ -16,15 +16,15 @@ Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
Modified-by: Thomas Rennigner <trenn@suse.de>
|
||||
Modified-by: Fabian Vogt <fvogt@suse.com>
|
||||
---
|
||||
modules.d/40network/ifup.sh | 1 +
|
||||
modules.d/40network/module-setup.sh | 7 +++++++
|
||||
modules.d/45ifcfg/module-setup.sh | 1 -
|
||||
modules.d/40network/ifup.sh | 1 +
|
||||
modules.d/40network/module-setup.sh | 7 +++++++
|
||||
modules.d/45ifcfg/module-setup.sh | 1 -
|
||||
3 files changed, 8 insertions(+), 1 deletion(-)
|
||||
|
||||
Index: dracut-044/modules.d/40network/ifup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/ifup.sh
|
||||
+++ dracut-044/modules.d/40network/ifup.sh
|
||||
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||||
index 92e4b38..347c7f7 100755
|
||||
--- a/modules.d/40network/ifup.sh
|
||||
+++ b/modules.d/40network/ifup.sh
|
||||
@@ -189,6 +189,7 @@ do_dhcp() {
|
||||
$dhclient --test $netif > /tmp/leaseinfo.${netif}.dhcp.ipv${1:1:1}
|
||||
dhcp_apply $1 || return $?
|
||||
@ -33,22 +33,10 @@ Index: dracut-044/modules.d/40network/ifup.sh
|
||||
echo $netif > /tmp/setup_net_${netif}.ok
|
||||
return 0
|
||||
}
|
||||
Index: dracut-044/modules.d/45ifcfg/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/45ifcfg/module-setup.sh
|
||||
+++ dracut-044/modules.d/45ifcfg/module-setup.sh
|
||||
@@ -2,7 +2,6 @@
|
||||
|
||||
# called by dracut
|
||||
check() {
|
||||
- [[ -d /etc/sysconfig/network-scripts ]] && return 0
|
||||
return 255
|
||||
}
|
||||
|
||||
Index: dracut-044/modules.d/40network/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/module-setup.sh
|
||||
+++ dracut-044/modules.d/40network/module-setup.sh
|
||||
diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
|
||||
index 2252995..fa6c7fc 100755
|
||||
--- a/modules.d/40network/module-setup.sh
|
||||
+++ b/modules.d/40network/module-setup.sh
|
||||
@@ -15,6 +15,13 @@ check() {
|
||||
# called by dracut
|
||||
depends() {
|
||||
@ -63,3 +51,18 @@ Index: dracut-044/modules.d/40network/module-setup.sh
|
||||
return 0
|
||||
}
|
||||
|
||||
diff --git a/modules.d/45ifcfg/module-setup.sh b/modules.d/45ifcfg/module-setup.sh
|
||||
index 6791985..60ed92b 100755
|
||||
--- a/modules.d/45ifcfg/module-setup.sh
|
||||
+++ b/modules.d/45ifcfg/module-setup.sh
|
||||
@@ -2,7 +2,6 @@
|
||||
|
||||
# called by dracut
|
||||
check() {
|
||||
- [[ -d /etc/sysconfig/network-scripts ]] && return 0
|
||||
return 255
|
||||
}
|
||||
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,7 +1,7 @@
|
||||
From 330bb44b7773c7b861a6aaa32d4524c783a162f0 Mon Sep 17 00:00:00 2001
|
||||
From e4a8408698ea1a4d77b1c6d9ba76a7eab93b024a Mon Sep 17 00:00:00 2001
|
||||
From: Pawel Wieczorkiewicz <pwieczorkiewicz@suse.de>
|
||||
Date: Tue, 8 Apr 2014 08:50:55 +0200
|
||||
Subject: [PATCH] 40network: Fix race condition when wait for networks
|
||||
Subject: 40network: Fix race condition when wait for networks
|
||||
|
||||
If no network related params are specific, but rd.neednet=1 is set,
|
||||
the default initqueue action is to wait until one of the network
|
||||
@ -17,11 +17,11 @@ Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
modules.d/40network/net-genrules.sh | 3 +++
|
||||
1 file changed, 3 insertions(+)
|
||||
|
||||
Index: dracut-044/modules.d/40network/net-genrules.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/net-genrules.sh
|
||||
+++ dracut-044/modules.d/40network/net-genrules.sh
|
||||
@@ -95,6 +95,9 @@ command -v fix_bootif >/dev/null || . /l
|
||||
diff --git a/modules.d/40network/net-genrules.sh b/modules.d/40network/net-genrules.sh
|
||||
index b1c156c..d591161 100755
|
||||
--- a/modules.d/40network/net-genrules.sh
|
||||
+++ b/modules.d/40network/net-genrules.sh
|
||||
@@ -95,6 +95,9 @@ command -v fix_bootif >/dev/null || . /lib/net-lib.sh
|
||||
cond='ACTION=="add", SUBSYSTEM=="net"'
|
||||
# if you change the name of "91-default-net.rules", also change modules.d/80cms/cmssetup.sh
|
||||
echo "$cond, $runcmd" > /etc/udev/rules.d/91-default-net.rules
|
||||
@ -31,3 +31,6 @@ Index: dracut-044/modules.d/40network/net-genrules.sh
|
||||
fi
|
||||
|
||||
# if you change the name of "90-net.rules", also change modules.d/80cms/cmssetup.sh
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,8 +1,7 @@
|
||||
From baf3a57c1fc8d2641c075e2dcdda44f5b26747dc Mon Sep 17 00:00:00 2001
|
||||
From 3a951a971fdaa4b51f5375d9b77af0db3c67414e Mon Sep 17 00:00:00 2001
|
||||
From: Pawel Wieczorkiewicz <pwieczorkiewicz@suse.de>
|
||||
Date: Tue, 27 May 2014 11:48:43 +0200
|
||||
Subject: [PATCH] 40network: Only enable network interfaces if explicitly
|
||||
requested
|
||||
Subject: 40network: Only enable network interfaces if explicitly requested
|
||||
|
||||
Currently all available network interfaces are started whenever
|
||||
40network is pulled in. This causes massive delays during bootup.
|
||||
@ -16,11 +15,11 @@ Signed-off-by: Pawel Wieczorkiewicz <pwieczorkiewicz@suse.de>
|
||||
modules.d/40network/net-genrules.sh | 2 +-
|
||||
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||
|
||||
Index: dracut-044/modules.d/40network/net-genrules.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/net-genrules.sh
|
||||
+++ dracut-044/modules.d/40network/net-genrules.sh
|
||||
@@ -94,8 +94,8 @@ command -v fix_bootif >/dev/null || . /l
|
||||
diff --git a/modules.d/40network/net-genrules.sh b/modules.d/40network/net-genrules.sh
|
||||
index d591161..559b325 100755
|
||||
--- a/modules.d/40network/net-genrules.sh
|
||||
+++ b/modules.d/40network/net-genrules.sh
|
||||
@@ -94,8 +94,8 @@ command -v fix_bootif >/dev/null || . /lib/net-lib.sh
|
||||
else
|
||||
cond='ACTION=="add", SUBSYSTEM=="net"'
|
||||
# if you change the name of "91-default-net.rules", also change modules.d/80cms/cmssetup.sh
|
||||
@ -30,3 +29,6 @@ Index: dracut-044/modules.d/40network/net-genrules.sh
|
||||
echo "[ -f /tmp/net.*.did-setup ]" >$hookdir/initqueue/finished/wait-network.sh
|
||||
fi
|
||||
fi
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,4 +1,4 @@
|
||||
From b22afa48bc111794259230cf3144262c719b55f5 Mon Sep 17 00:00:00 2001
|
||||
From 105e96464320c8acae22ee730717e071e156aa0b Mon Sep 17 00:00:00 2001
|
||||
From: Pawel Wieczorkiewicz <pwieczorkiewicz@suse.com>
|
||||
Date: Wed, 4 Jun 2014 13:00:06 +0200
|
||||
Subject: 45ifcfg: Add SUSE-specific write-ifcfg file
|
||||
@ -7,12 +7,13 @@ Signed-off-by: Pawel Wieczorkiewicz <pwieczorkiewicz@suse.com>
|
||||
---
|
||||
modules.d/45ifcfg/write-ifcfg-suse.sh | 183 ++++++++++++++++++++++++++++++++++
|
||||
1 file changed, 183 insertions(+)
|
||||
create mode 100755 modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
create mode 100644 modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
|
||||
Index: dracut-042/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
===================================================================
|
||||
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||
+++ dracut-042/modules.d/45ifcfg/write-ifcfg-suse.sh 2015-06-24 18:02:09.389373610 +0200
|
||||
diff --git a/modules.d/45ifcfg/write-ifcfg-suse.sh b/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
new file mode 100644
|
||||
index 0000000..4b6350f
|
||||
--- /dev/null
|
||||
+++ b/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
@@ -0,0 +1,183 @@
|
||||
+#!/bin/sh
|
||||
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||
@ -197,3 +198,6 @@ Index: dracut-042/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
+ copytree /tmp/ifcfg /run/initramfs/state/etc/sysconfig/network
|
||||
+ cp /tmp/leaseinfo.* /run/initramfs/state/var/run/wicked/
|
||||
+} > /dev/null 2>&1
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,4 +1,4 @@
|
||||
From 8bbd0f21e9c85898219bdf0f8dc3d31ccfaaf477 Mon Sep 17 00:00:00 2001
|
||||
From 7104ea8c873ef89c9aacdd12a542bc71fc738aaa Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Wed, 4 Jun 2014 13:12:31 +0200
|
||||
Subject: 45ifcfg: Fixup error message in write-ifcfg-suse
|
||||
@ -13,10 +13,10 @@ Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
modules.d/45ifcfg/write-ifcfg-suse.sh | 4 +++-
|
||||
1 file changed, 3 insertions(+), 1 deletion(-)
|
||||
|
||||
Index: dracut-042/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
===================================================================
|
||||
--- dracut-042.orig/modules.d/45ifcfg/write-ifcfg-suse.sh 2015-06-24 18:02:09.389373610 +0200
|
||||
+++ dracut-042/modules.d/45ifcfg/write-ifcfg-suse.sh 2015-06-24 18:02:09.677390007 +0200
|
||||
diff --git a/modules.d/45ifcfg/write-ifcfg-suse.sh b/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
index 4b6350f..e9b4d10 100644
|
||||
--- a/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
+++ b/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
@@ -32,6 +32,7 @@ for netup in /tmp/net.*.did-setup ; do
|
||||
|
||||
netif=${netup%%.did-setup}
|
||||
@ -35,3 +35,6 @@ Index: dracut-042/modules.d/45ifcfg/write-ifcfg-suse.sh
|
||||
{
|
||||
echo "# Generated by dracut initrd"
|
||||
echo "NAME='$netif'"
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,4 +1,4 @@
|
||||
From ad967a08bbf67171a75acc84a9ea2ffbd9461aa5 Mon Sep 17 00:00:00 2001
|
||||
From a9a919e44e0ce5cc5bc4167889a31d87626058e4 Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Wed, 4 Jun 2014 12:04:10 +0200
|
||||
Subject: 40network: always start netroot in ifup.sh
|
||||
@ -13,13 +13,13 @@ References: bnc#881235
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/40network/ifup.sh | 22 ++++++++--------------
|
||||
1 file changed, 8 insertions(+), 14 deletions(-)
|
||||
modules.d/40network/ifup.sh | 29 +++++++++++------------------
|
||||
1 file changed, 11 insertions(+), 18 deletions(-)
|
||||
|
||||
Index: dracut-044/modules.d/40network/ifup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/40network/ifup.sh
|
||||
+++ dracut-044/modules.d/40network/ifup.sh
|
||||
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||||
index 109fb4b..31a04bf 100755
|
||||
--- a/modules.d/40network/ifup.sh
|
||||
+++ b/modules.d/40network/ifup.sh
|
||||
@@ -373,27 +373,20 @@ for p in $(getargs ip=); do
|
||||
do_static ;;
|
||||
esac
|
||||
@ -59,3 +59,6 @@ Index: dracut-044/modules.d/40network/ifup.sh
|
||||
|
||||
exit 0
|
||||
done
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
@ -1,4 +1,4 @@
|
||||
From af384e51a1dff36b5554b05d2b940d0089c84000 Mon Sep 17 00:00:00 2001
|
||||
From 16a940a8fb1fe6697474dc4abb1ce5b5ee281068 Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Tue, 1 Jul 2014 08:15:00 +0200
|
||||
Subject: 40network: create /var/lib/wicked in ifup.sh
|
||||
@ -13,10 +13,10 @@ Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
modules.d/40network/ifup.sh | 2 ++
|
||||
1 file changed, 2 insertions(+)
|
||||
|
||||
Index: dracut-042/modules.d/40network/ifup.sh
|
||||
===================================================================
|
||||
--- dracut-042.orig/modules.d/40network/ifup.sh 2015-06-24 18:02:06.605215110 +0200
|
||||
+++ dracut-042/modules.d/40network/ifup.sh 2015-06-24 18:02:12.961576972 +0200
|
||||
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||||
index 347c7f7..c7279df 100755
|
||||
--- a/modules.d/40network/ifup.sh
|
||||
+++ b/modules.d/40network/ifup.sh
|
||||
@@ -18,6 +18,8 @@ netif=$1
|
||||
use_bridge='false'
|
||||
use_vlan='false'
|
||||
@ -26,3 +26,6 @@ Index: dracut-042/modules.d/40network/ifup.sh
|
||||
# enslave this interface to bond?
|
||||
for i in /tmp/bond.*.info; do
|
||||
[ -e "$i" ] || continue
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
25
0188-95dasd_rules-Install-collect-udev-helper-binary.patch
Normal file
25
0188-95dasd_rules-Install-collect-udev-helper-binary.patch
Normal file
@ -0,0 +1,25 @@
|
||||
From: Thomas Renninger <trenn@suse.com>
|
||||
Date: Mon, 3 Aug 2015 14:07:59 +0200
|
||||
Subject: 95dasd_rules: Install 'collect' udev helper binary
|
||||
|
||||
Install the 'collect' udev helper binary for s390-specific rules.
|
||||
|
||||
References: bsc#938867
|
||||
|
||||
Signed-off-by: Thomas Renninger <trenn@suse.com>
|
||||
---
|
||||
modules.d/95dasd_rules/module-setup.sh | 1 +
|
||||
1 file changed, 1 insertion(+)
|
||||
|
||||
Index: dracut-044/modules.d/95dasd_rules/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95dasd_rules/module-setup.sh 2016-04-25 15:02:50.532329644 +0200
|
||||
+++ dracut-044/modules.d/95dasd_rules/module-setup.sh 2016-04-25 15:02:52.384434310 +0200
|
||||
@@ -45,6 +45,7 @@ depends() {
|
||||
|
||||
# called by dracut
|
||||
install() {
|
||||
+ inst_multiple /usr/lib/udev/collect
|
||||
inst_hook cmdline 30 "$moddir/parse-dasd.sh"
|
||||
if [[ $hostonly_cmdline == "yes" ]] ; then
|
||||
local _dasd=$(cmdline)
|
@ -18,8 +18,8 @@ Signed-off-by: Thomas Blume <thomas.blume@suse.com>
|
||||
|
||||
Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2015-11-25 14:22:28.000000000 +0100
|
||||
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-14 14:52:44.685325362 +0200
|
||||
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2016-04-18 17:43:51.198589298 +0200
|
||||
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-18 17:53:11.962323970 +0200
|
||||
@@ -43,17 +43,13 @@ fi
|
||||
|
||||
handle_firmware()
|
||||
@ -136,8 +136,8 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
|
||||
return 0
|
||||
Index: dracut-044/modules.d/95iscsi/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2015-11-25 14:22:28.000000000 +0100
|
||||
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-14 14:12:39.693392427 +0200
|
||||
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2016-04-18 17:43:51.198589298 +0200
|
||||
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-18 17:53:11.962323970 +0200
|
||||
@@ -4,7 +4,7 @@
|
||||
check() {
|
||||
local _rootdev
|
||||
@ -180,16 +180,3 @@ Index: dracut-044/modules.d/95iscsi/module-setup.sh
|
||||
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
|
||||
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
|
||||
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
|
||||
Index: dracut-044/modules.d/95iscsi/parse-iscsiroot.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95iscsi/parse-iscsiroot.sh 2015-11-25 14:22:28.000000000 +0100
|
||||
+++ dracut-044/modules.d/95iscsi/parse-iscsiroot.sh 2016-04-14 14:12:39.693392427 +0200
|
||||
@@ -77,7 +77,7 @@ if [ -n "$iscsiroot" ] ; then
|
||||
fi
|
||||
|
||||
# iscsi_firmware does not need argument checking
|
||||
-if [ -n "$iscsi_firmware" ]; then
|
||||
+if [ -n "$iscsi_firmware" ] && iscsiadm -m fw; then
|
||||
if [ "$root" != "dhcp" ] && [ "$netroot" != "dhcp" ]; then
|
||||
[ -z "$netroot" ] && netroot=iscsi:
|
||||
fi
|
||||
|
@ -1,135 +0,0 @@
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Mon, 19 Oct 2015 14:02:19 +0200
|
||||
Subject: 95iscsi: Do not require network for qla4xxx flash sessions
|
||||
|
||||
qla4xxx can store boot sessions in flash, which will then
|
||||
not show up with iBFT. These boot sesssions will be maintained
|
||||
by the driver; no specific network configuration is required
|
||||
here. So suppress network setup for these cases.
|
||||
|
||||
References: bsc#935320
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95iscsi/module-setup.sh | 18 +++++++++++++++---
|
||||
1 file changed, 15 insertions(+), 3 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
||||
index 53179d1..276d1ce 100755
|
||||
--- a/modules.d/95iscsi/module-setup.sh
|
||||
+++ b/modules.d/95iscsi/module-setup.sh
|
||||
@@ -45,7 +45,7 @@ install_ibft() {
|
||||
|
||||
install_iscsiroot() {
|
||||
local devpath=$1
|
||||
- local scsi_path iscsi_lun session c d conn
|
||||
+ local scsi_path iscsi_lun session c d conn host flash
|
||||
local iscsi_session iscsi_address iscsi_port iscsi_targetname iscsi_tpgt
|
||||
|
||||
scsi_path=${devpath%%/block*}
|
||||
@@ -56,6 +56,19 @@ install_iscsiroot() {
|
||||
[ "$session" = "$devpath" ] && return 1
|
||||
iscsi_session=${session##*/}
|
||||
[ "$iscsi_session" = "$session" ] && return 1
|
||||
+ host=${session%%/session*}
|
||||
+ [ "$host" = "$session" ] && return 1
|
||||
+ iscsi_host=${host##*/}
|
||||
+
|
||||
+ for flash in ${host}/flashnode_sess-* ; do
|
||||
+ is_boot=$(cat $flash/is_boot_target)
|
||||
+ if [ $is_boot -eq 1 ] ; then
|
||||
+ # qla4xxx flashnode session; skip iBFT discovery
|
||||
+ iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
|
||||
+ echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
+ return;
|
||||
+ fi
|
||||
+ done
|
||||
|
||||
for d in ${session}/* ; do
|
||||
case $d in
|
||||
@@ -110,6 +123,7 @@ install_iscsiroot() {
|
||||
# can sort out rd.iscsi.initiator= duplicates
|
||||
echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
echo "netroot=iscsi:${iscsi_address}::${iscsi_port}:${iscsi_lun}:${iscsi_targetname}"
|
||||
+ echo "rd.neednet=1"
|
||||
fi
|
||||
return 0
|
||||
}
|
||||
@@ -244,8 +258,6 @@ install() {
|
||||
[[ $_iscsiconf ]] && printf "%s\n" "$_iscsiconf" >> "${initdir}/etc/cmdline.d/95iscsi.conf"
|
||||
fi
|
||||
|
||||
- echo 'rd.neednet=1' >> "${initdir}/etc/cmdline.d/95iscsi.conf"
|
||||
-
|
||||
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
|
||||
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
|
||||
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
|
||||
--
|
||||
1.8.4.5
|
||||
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Mon, 19 Oct 2015 14:02:19 +0200
|
||||
Subject: 95iscsi: Do not require network for qla4xxx flash sessions
|
||||
|
||||
qla4xxx can store boot sessions in flash, which will then
|
||||
not show up with iBFT. These boot sesssions will be maintained
|
||||
by the driver; no specific network configuration is required
|
||||
here. So suppress network setup for these cases.
|
||||
|
||||
References: bsc#935320
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95iscsi/module-setup.sh | 18 +++++++++++++++---
|
||||
1 file changed, 15 insertions(+), 3 deletions(-)
|
||||
|
||||
Index: dracut-044/modules.d/95iscsi/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2016-04-11 18:03:25.493616825 +0200
|
||||
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-11 18:03:25.613623617 +0200
|
||||
@@ -70,7 +70,7 @@ install_ibft() {
|
||||
|
||||
install_iscsiroot() {
|
||||
local devpath=$1
|
||||
- local scsi_path iscsi_lun session c d conn
|
||||
+ local scsi_path iscsi_lun session c d conn host flash
|
||||
local iscsi_session iscsi_address iscsi_port iscsi_targetname iscsi_tpgt
|
||||
|
||||
scsi_path=${devpath%%/block*}
|
||||
@@ -81,6 +81,19 @@ install_iscsiroot() {
|
||||
[ "$session" = "$devpath" ] && return 1
|
||||
iscsi_session=${session##*/}
|
||||
[ "$iscsi_session" = "$session" ] && return 1
|
||||
+ host=${session%%/session*}
|
||||
+ [ "$host" = "$session" ] && return 1
|
||||
+ iscsi_host=${host##*/}
|
||||
+
|
||||
+ for flash in ${host}/flashnode_sess-* ; do
|
||||
+ is_boot=$(cat $flash/is_boot_target)
|
||||
+ if [ $is_boot -eq 1 ] ; then
|
||||
+ # qla4xxx flashnode session; skip iBFT discovery
|
||||
+ iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
|
||||
+ echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
+ return;
|
||||
+ fi
|
||||
+ done
|
||||
|
||||
for d in ${session}/* ; do
|
||||
case $d in
|
||||
@@ -135,6 +148,7 @@ install_iscsiroot() {
|
||||
# can sort out rd.iscsi.initiator= duplicates
|
||||
echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
echo "netroot=iscsi:${iscsi_address}::${iscsi_port}:${iscsi_lun}:${iscsi_targetname}"
|
||||
+ echo "rd.neednet=1"
|
||||
fi
|
||||
return 0
|
||||
}
|
||||
@@ -241,8 +255,6 @@ install() {
|
||||
[[ $_iscsiconf ]] && printf "%s\n" "$_iscsiconf" >> "${initdir}/etc/cmdline.d/95iscsi.conf"
|
||||
fi
|
||||
|
||||
- echo 'rd.neednet=1' >> "${initdir}/etc/cmdline.d/95iscsi.conf"
|
||||
-
|
||||
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
|
||||
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
|
||||
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
|
@ -1,168 +0,0 @@
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Tue, 20 Oct 2015 07:59:43 +0200
|
||||
Subject: 95iscsi: set 'rd.iscsi.firmware' for qla4xxx sessions
|
||||
|
||||
The qla4xxx driver can run with or without open-iscsi support,
|
||||
depending on the setting of the 'ql4xdisablesysfsboot' module
|
||||
parameter.
|
||||
When the parameter is set to '0', dracut needs to call
|
||||
'iscsiadm -m fw' to trigger iSCSI login, so we need to set
|
||||
the 'rd.iscsi.firmware' dracut variable. But this will then
|
||||
fail if the parameter is set to '1', as in these cases the
|
||||
list of firmware targets is empty.
|
||||
To cover both scenarios this patch reshuffles 'handle_firmware'
|
||||
in iscsiroot.sh to continue if iscsiadm -m fw fails but iscsi
|
||||
sessions are present.
|
||||
|
||||
References: bsc#951003
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95iscsi/iscsiroot.sh | 23 ++++++++++++++---------
|
||||
modules.d/95iscsi/module-setup.sh | 1 +
|
||||
2 files changed, 15 insertions(+), 9 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
||||
index 38aff41..1e6ab41 100755
|
||||
--- a/modules.d/95iscsi/iscsiroot.sh
|
||||
+++ b/modules.d/95iscsi/iscsiroot.sh
|
||||
@@ -54,17 +54,24 @@ set_login_retries() {
|
||||
handle_firmware()
|
||||
{
|
||||
if ! [ -e /tmp/iscsistarted-firmware ]; then
|
||||
+ # Depending on the 'ql4xdisablesysfsboot' qla4xxx
|
||||
+ # will be autostarting sessions without presenting
|
||||
+ # them via the firmware interface.
|
||||
+ # In these cases 'iscsiadm -m fw' will fail, but
|
||||
+ # the iSCSI sessions will still be present.
|
||||
if ! iscsiadm -m fw; then
|
||||
warn "iscsiadm: Could not get list of targets from firmware."
|
||||
- return 1
|
||||
- fi
|
||||
+ else
|
||||
|
||||
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
|
||||
- iscsi_param="$iscsi_param --param $p"
|
||||
- done
|
||||
+ for p in $(getargs rd.iscsi.param -d iscsi_param); do
|
||||
+ iscsi_param="$iscsi_param --param $p"
|
||||
+ done
|
||||
|
||||
- if ! iscsiadm -m fw -l; then
|
||||
- warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ if ! iscsiadm -m fw -l; then
|
||||
+ warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ else
|
||||
+ need_shutdown
|
||||
+ fi
|
||||
fi
|
||||
|
||||
if [ -d /sys/class/iscsi_session ]; then
|
||||
@@ -73,8 +80,6 @@ handle_firmware()
|
||||
else
|
||||
return 1
|
||||
fi
|
||||
-
|
||||
- need_shutdown
|
||||
fi
|
||||
return 0
|
||||
}
|
||||
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
||||
index 276d1ce..e29f342 100755
|
||||
--- a/modules.d/95iscsi/module-setup.sh
|
||||
+++ b/modules.d/95iscsi/module-setup.sh
|
||||
@@ -66,6 +66,7 @@ install_iscsiroot() {
|
||||
# qla4xxx flashnode session; skip iBFT discovery
|
||||
iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
|
||||
echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
+ echo "rd.iscsi.firmware=1"
|
||||
return;
|
||||
fi
|
||||
done
|
||||
--
|
||||
1.8.4.5
|
||||
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Tue, 20 Oct 2015 07:59:43 +0200
|
||||
Subject: 95iscsi: set 'rd.iscsi.firmware' for qla4xxx sessions
|
||||
|
||||
The qla4xxx driver can run with or without open-iscsi support,
|
||||
depending on the setting of the 'ql4xdisablesysfsboot' module
|
||||
parameter.
|
||||
When the parameter is set to '0', dracut needs to call
|
||||
'iscsiadm -m fw' to trigger iSCSI login, so we need to set
|
||||
the 'rd.iscsi.firmware' dracut variable. But this will then
|
||||
fail if the parameter is set to '1', as in these cases the
|
||||
list of firmware targets is empty.
|
||||
To cover both scenarios this patch reshuffles 'handle_firmware'
|
||||
in iscsiroot.sh to continue if iscsiadm -m fw fails but iscsi
|
||||
sessions are present.
|
||||
|
||||
References: bsc#951003
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95iscsi/iscsiroot.sh | 23 ++++++++++++++---------
|
||||
modules.d/95iscsi/module-setup.sh | 1 +
|
||||
2 files changed, 15 insertions(+), 9 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
||||
index 38aff41..1e6ab41 100755
|
||||
--- a/modules.d/95iscsi/iscsiroot.sh
|
||||
+++ b/modules.d/95iscsi/iscsiroot.sh
|
||||
@@ -54,17 +54,24 @@ set_login_retries() {
|
||||
handle_firmware()
|
||||
{
|
||||
if ! [ -e /tmp/iscsistarted-firmware ]; then
|
||||
+ # Depending on the 'ql4xdisablesysfsboot' qla4xxx
|
||||
+ # will be autostarting sessions without presenting
|
||||
+ # them via the firmware interface.
|
||||
+ # In these cases 'iscsiadm -m fw' will fail, but
|
||||
+ # the iSCSI sessions will still be present.
|
||||
if ! iscsiadm -m fw; then
|
||||
warn "iscsiadm: Could not get list of targets from firmware."
|
||||
- return 1
|
||||
- fi
|
||||
+ else
|
||||
|
||||
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
|
||||
- iscsi_param="$iscsi_param --param $p"
|
||||
- done
|
||||
+ for p in $(getargs rd.iscsi.param -d iscsi_param); do
|
||||
+ iscsi_param="$iscsi_param --param $p"
|
||||
+ done
|
||||
|
||||
- if ! iscsiadm -m fw -l; then
|
||||
- warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ if ! iscsiadm -m fw -l; then
|
||||
+ warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ else
|
||||
+ need_shutdown
|
||||
+ fi
|
||||
fi
|
||||
|
||||
if [ -d /sys/class/iscsi_session ]; then
|
||||
@@ -73,8 +80,6 @@ handle_firmware()
|
||||
else
|
||||
return 1
|
||||
fi
|
||||
-
|
||||
- need_shutdown
|
||||
fi
|
||||
return 0
|
||||
}
|
||||
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
||||
index 276d1ce..e29f342 100755
|
||||
--- a/modules.d/95iscsi/module-setup.sh
|
||||
+++ b/modules.d/95iscsi/module-setup.sh
|
||||
@@ -66,6 +66,7 @@ install_iscsiroot() {
|
||||
# qla4xxx flashnode session; skip iBFT discovery
|
||||
iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
|
||||
echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
+ echo "rd.iscsi.firmware=1"
|
||||
return;
|
||||
fi
|
||||
done
|
||||
--
|
||||
1.8.4.5
|
||||
|
@ -1,32 +1,28 @@
|
||||
Index: dracut-037/modules.d/95iscsi/iscsiroot.sh
|
||||
Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
|
||||
===================================================================
|
||||
--- dracut-037.orig/modules.d/95iscsi/iscsiroot.sh
|
||||
+++ dracut-037/modules.d/95iscsi/iscsiroot.sh
|
||||
@@ -54,6 +54,8 @@ set_login_retries() {
|
||||
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2016-04-14 15:20:04.089991822 +0200
|
||||
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-14 15:22:50.683407266 +0200
|
||||
@@ -51,11 +51,23 @@ set_login_retries() {
|
||||
|
||||
handle_firmware()
|
||||
{
|
||||
if ! [ -e /tmp/iscsistarted-firmware ]; then
|
||||
+ local ifaces retry
|
||||
+ local ifaces retry
|
||||
+
|
||||
# Depending on the 'ql4xdisablesysfsboot' qla4xxx
|
||||
# will be autostarting sessions without presenting
|
||||
# them via the firmware interface.
|
||||
@@ -62,10 +64,15 @@ handle_firmware()
|
||||
if ! iscsiadm -m fw; then
|
||||
warn "iscsiadm: Could not get list of targets from firmware."
|
||||
else
|
||||
+ ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
|
||||
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
||||
+ retry=$(cat /tmp/session-retry)
|
||||
if ! iscsiadm -m fw; then
|
||||
warn "iscsiadm: Could not get list of targets from firmware."
|
||||
return 1
|
||||
fi
|
||||
|
||||
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
|
||||
- iscsi_param="$iscsi_param --param $p"
|
||||
- done
|
||||
+ if [ $retry -lt ${#ifaces[*]} ]; then
|
||||
+ let retry++
|
||||
+ echo $retry > /tmp/session-retry
|
||||
+ return 1
|
||||
+ fi
|
||||
|
||||
if ! iscsiadm -m fw -l; then
|
||||
warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
|
||||
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
||||
+ retry=$(cat /tmp/session-retry)
|
||||
+
|
||||
+ if [ $retry -lt ${#ifaces[*]} ]; then
|
||||
+ let retry++
|
||||
+ echo $retry > /tmp/session-retry
|
||||
+ return 1
|
||||
+ fi
|
||||
+
|
||||
if ! iscsiadm -m fw -l; then
|
||||
warn "iscsiadm: Log-in to iscsi target failed"
|
||||
fi
|
||||
|
@ -0,0 +1,70 @@
|
||||
From 4287dca195e2435c7ab20265db6225f97b576fd3 Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Mon, 19 Oct 2015 14:02:19 +0200
|
||||
Subject: 95iscsi: Do not require network for qla4xxx flash sessions
|
||||
|
||||
qla4xxx can store boot sessions in flash, which will then
|
||||
not show up with iBFT. These boot sesssions will be maintained
|
||||
by the driver; no specific network configuration is required
|
||||
here. So suppress network setup for these cases.
|
||||
|
||||
References: bsc#935320
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95iscsi/module-setup.sh | 18 +++++++++++++++---
|
||||
1 file changed, 15 insertions(+), 3 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
||||
index 6dca212..797d4e1 100755
|
||||
--- a/modules.d/95iscsi/module-setup.sh
|
||||
+++ b/modules.d/95iscsi/module-setup.sh
|
||||
@@ -70,7 +70,7 @@ install_ibft() {
|
||||
|
||||
install_iscsiroot() {
|
||||
local devpath=$1
|
||||
- local scsi_path iscsi_lun session c d conn
|
||||
+ local scsi_path iscsi_lun session c d conn host flash
|
||||
local iscsi_session iscsi_address iscsi_port iscsi_targetname iscsi_tpgt
|
||||
|
||||
scsi_path=${devpath%%/block*}
|
||||
@@ -81,6 +81,19 @@ install_iscsiroot() {
|
||||
[ "$session" = "$devpath" ] && return 1
|
||||
iscsi_session=${session##*/}
|
||||
[ "$iscsi_session" = "$session" ] && return 1
|
||||
+ host=${session%%/session*}
|
||||
+ [ "$host" = "$session" ] && return 1
|
||||
+ iscsi_host=${host##*/}
|
||||
+
|
||||
+ for flash in ${host}/flashnode_sess-* ; do
|
||||
+ is_boot=$(cat $flash/is_boot_target)
|
||||
+ if [ $is_boot -eq 1 ] ; then
|
||||
+ # qla4xxx flashnode session; skip iBFT discovery
|
||||
+ iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
|
||||
+ echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
+ return;
|
||||
+ fi
|
||||
+ done
|
||||
|
||||
for d in ${session}/* ; do
|
||||
case $d in
|
||||
@@ -135,6 +148,7 @@ install_iscsiroot() {
|
||||
# can sort out rd.iscsi.initiator= duplicates
|
||||
echo "rd.iscsi.initiator=${iscsi_initiator}"
|
||||
echo "netroot=iscsi:${iscsi_address}::${iscsi_port}:${iscsi_lun}:${iscsi_targetname}"
|
||||
+ echo "rd.neednet=1"
|
||||
fi
|
||||
return 0
|
||||
}
|
||||
@@ -241,8 +255,6 @@ install() {
|
||||
[[ $_iscsiconf ]] && printf "%s\n" "$_iscsiconf" >> "${initdir}/etc/cmdline.d/95iscsi.conf"
|
||||
fi
|
||||
|
||||
- echo 'rd.neednet=1' >> "${initdir}/etc/cmdline.d/95iscsi.conf"
|
||||
-
|
||||
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
|
||||
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
|
||||
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
|
||||
--
|
||||
2.6.6
|
||||
|
@ -0,0 +1,82 @@
|
||||
From c56c855754914283bb930ef1a2b2dd5e8d5a6f25 Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Tue, 20 Oct 2015 07:59:43 +0200
|
||||
Subject: 95iscsi: set 'rd.iscsi.firmware' for qla4xxx sessions
|
||||
|
||||
The qla4xxx driver can run with or without open-iscsi support,
|
||||
depending on the setting of the 'ql4xdisablesysfsboot' module
|
||||
parameter.
|
||||
When the parameter is set to '0', dracut needs to call
|
||||
'iscsiadm -m fw' to trigger iSCSI login, so we need to set
|
||||
the 'rd.iscsi.firmware' dracut variable. But this will then
|
||||
fail if the parameter is set to '1', as in these cases the
|
||||
list of firmware targets is empty.
|
||||
To cover both scenarios this patch reshuffles 'handle_firmware'
|
||||
in iscsiroot.sh to continue if iscsiadm -m fw fails but iscsi
|
||||
sessions are present.
|
||||
|
||||
References: bsc#951003
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95iscsi/iscsiroot.sh | 37 +++++++++++++++++++++----------------
|
||||
1 file changed, 21 insertions(+), 16 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
||||
index 6ef6276..77755fb 100755
|
||||
--- a/modules.d/95iscsi/iscsiroot.sh
|
||||
+++ b/modules.d/95iscsi/iscsiroot.sh
|
||||
@@ -53,29 +53,34 @@ handle_firmware()
|
||||
{
|
||||
local ifaces retry
|
||||
|
||||
+ # Depending on the 'ql4xdisablesysfsboot' qla4xxx
|
||||
+ # will be autostarting sessions without presenting
|
||||
+ # them via the firmware interface.
|
||||
+ # In these cases 'iscsiadm -m fw' will fail, but
|
||||
+ # the iSCSI sessions will still be present.
|
||||
if ! iscsiadm -m fw; then
|
||||
warn "iscsiadm: Could not get list of targets from firmware."
|
||||
- return 1
|
||||
- fi
|
||||
-
|
||||
- ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
|
||||
- [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
||||
- retry=$(cat /tmp/session-retry)
|
||||
-
|
||||
- if [ $retry -lt ${#ifaces[*]} ]; then
|
||||
- let retry++
|
||||
- echo $retry > /tmp/session-retry
|
||||
- return 1
|
||||
- fi
|
||||
+ else
|
||||
+ ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
|
||||
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
||||
+ retry=$(cat /tmp/session-retry)
|
||||
+
|
||||
+ if [ $retry -lt ${#ifaces[*]} ]; then
|
||||
+ let retry++
|
||||
+ echo $retry > /tmp/session-retry
|
||||
+ return 1
|
||||
+ fi
|
||||
|
||||
- if ! iscsiadm -m fw -l; then
|
||||
- warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ if ! iscsiadm -m fw -l; then
|
||||
+ warn "iscsiadm: Log-in to iscsi target failed"
|
||||
+ else
|
||||
+ need_shutdown
|
||||
+ fi
|
||||
fi
|
||||
-
|
||||
+ [ -d /sys/class/iscsi_session ] || return 1
|
||||
echo 'started' > "/tmp/iscsistarted-iscsi:"
|
||||
echo 'started' > "/tmp/iscsistarted-firmware"
|
||||
|
||||
- need_shutdown
|
||||
return 0
|
||||
}
|
||||
|
||||
--
|
||||
2.6.6
|
||||
|
@ -11,16 +11,18 @@ warning if not present. This patch fixes the wrong ordering.
|
||||
|
||||
Index: dracut-044/modules.d/90multipath/module-setup.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/90multipath/module-setup.sh
|
||||
+++ dracut-044/modules.d/90multipath/module-setup.sh
|
||||
@@ -20,13 +20,14 @@ majmin_to_mpath_dev() {
|
||||
--- dracut-044.orig/modules.d/90multipath/module-setup.sh 2016-04-19 13:58:59.445320244 +0200
|
||||
+++ dracut-044/modules.d/90multipath/module-setup.sh 2016-04-19 13:59:41.467698870 +0200
|
||||
@@ -3,8 +3,6 @@
|
||||
# called by dracut
|
||||
check() {
|
||||
local _rootdev
|
||||
- # if there's no multipath binary, no go.
|
||||
- require_binaries multipath || return 1
|
||||
|
||||
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
||||
is_mpath() {
|
||||
local _dev=$1
|
||||
@@ -17,6 +15,9 @@ check() {
|
||||
for_each_host_dev_and_slaves is_mpath || return 255
|
||||
}
|
||||
|
||||
|
44
0212-fcoe_reorder_init_path.patch
Normal file
44
0212-fcoe_reorder_init_path.patch
Normal file
@ -0,0 +1,44 @@
|
||||
From: Johannes Thumshirn <jthumshirn@suse.com>
|
||||
References: bsc#982588
|
||||
|
||||
--- a/modules.d/95fcoe/fcoe-up.sh
|
||||
+++ b/modules.d/95fcoe/fcoe-up.sh
|
||||
@@ -45,7 +45,16 @@ write_fcoemon_cfg() {
|
||||
echo MODE=\"fabric\" >> /etc/fcoe/cfg-$netif
|
||||
}
|
||||
|
||||
-if [ "$dcb" = "dcb" ]; then
|
||||
+if [ "$netdriver" = "bnx2x" ]; then
|
||||
+ # If driver is bnx2x, do not use /sys/module/fcoe/parameters/create but fipvlan
|
||||
+ modprobe 8021q
|
||||
+ udevadm settle --timeout=30
|
||||
+ # Sleep for 3 s to allow dcb negotiation
|
||||
+ sleep 3
|
||||
+ write_fcoemon_cfg
|
||||
+ fcoemon --syslog=yes
|
||||
+ fipvlan -c -s "$netif"
|
||||
+elif [ "$dcb" = "dcb" ]; then
|
||||
# wait for lldpad to be ready
|
||||
i=0
|
||||
while [ $i -lt 60 ]; do
|
||||
@@ -79,18 +88,11 @@ if [ "$dcb" = "dcb" ]; then
|
||||
sleep 1
|
||||
|
||||
write_fcoemon_cfg
|
||||
- fcoemon --syslog
|
||||
-elif [ "$netdriver" = "bnx2x" ]; then
|
||||
- # If driver is bnx2x, do not use /sys/module/fcoe/parameters/create but fipvlan
|
||||
- modprobe 8021q
|
||||
- udevadm settle --timeout=30
|
||||
- # Sleep for 3 s to allow dcb negotiation
|
||||
- sleep 3
|
||||
- fipvlan "$netif" -c -s
|
||||
+ fcoemon --syslog=yes
|
||||
else
|
||||
vlan="no"
|
||||
write_fcoemon_cfg
|
||||
- fcoemon --syslog
|
||||
+ fcoemon --syslog=yes
|
||||
fi
|
||||
|
||||
need_shutdown
|
@ -0,0 +1,88 @@
|
||||
From c9f18fcc4b7a4b31cc1f68d9e5e1c2d6625871ca Mon Sep 17 00:00:00 2001
|
||||
From: Dave Young <dyoung@redhat.com>
|
||||
Date: Wed, 4 May 2016 12:46:12 +0200
|
||||
Subject: Revert '90multipath: add hostonly multipath.conf in case hostonly
|
||||
mode'
|
||||
|
||||
Patch is incompatible with SUSE, which doesn't have mpathconf.
|
||||
|
||||
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
||||
---
|
||||
modules.d/90multipath/module-setup.sh | 42 +++++++----------------------------
|
||||
1 file changed, 8 insertions(+), 34 deletions(-)
|
||||
|
||||
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
||||
index 831c99f..c2c85c4 100755
|
||||
--- a/modules.d/90multipath/module-setup.sh
|
||||
+++ b/modules.d/90multipath/module-setup.sh
|
||||
@@ -1,28 +1,18 @@
|
||||
#!/bin/bash
|
||||
|
||||
-is_mpath() {
|
||||
- local _dev=$1
|
||||
- [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
||||
- [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
|
||||
- return 1
|
||||
-}
|
||||
-
|
||||
-majmin_to_mpath_dev() {
|
||||
- local _dev
|
||||
- for i in `ls -1 /dev/mapper/mpath*`; do
|
||||
- dev=$(get_maj_min $i)
|
||||
- if [ "$dev" = "$1" ]; then
|
||||
- echo $i
|
||||
- return
|
||||
- fi
|
||||
- done
|
||||
-}
|
||||
# called by dracut
|
||||
check() {
|
||||
local _rootdev
|
||||
# if there's no multipath binary, no go.
|
||||
require_binaries multipath || return 1
|
||||
|
||||
+ is_mpath() {
|
||||
+ local _dev=$1
|
||||
+ [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
||||
+ [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
|
||||
+ return 1
|
||||
+ }
|
||||
+
|
||||
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
||||
for_each_host_dev_and_slaves is_mpath || return 255
|
||||
}
|
||||
@@ -89,18 +79,7 @@ installkernel() {
|
||||
|
||||
# called by dracut
|
||||
install() {
|
||||
- local _f _allow
|
||||
- add_hostonly_mpath_conf() {
|
||||
- is_mpath $1 && {
|
||||
- local _dev
|
||||
-
|
||||
- _dev=$(majmin_to_mpath_dev $1)
|
||||
- [ -z "$_dev" ] && return
|
||||
- strstr "$_allow" "$_dev" && return
|
||||
- _allow="$_allow --allow $_dev"
|
||||
- }
|
||||
- }
|
||||
-
|
||||
+ local _f
|
||||
inst_multiple -o \
|
||||
dmsetup \
|
||||
kpartx \
|
||||
@@ -114,11 +93,6 @@ install() {
|
||||
/etc/multipath.conf \
|
||||
/etc/multipath/*
|
||||
|
||||
- [[ $hostonly ]] && {
|
||||
- for_each_host_dev_and_slaves_all add_hostonly_mpath_conf
|
||||
- [ -n "$_allow" ] && mpathconf $_allow --outfile ${initdir}/etc/multipath.conf
|
||||
- }
|
||||
-
|
||||
inst $(command -v partx) /sbin/partx
|
||||
|
||||
inst_libdir_file "libmultipath*" "multipath/*"
|
||||
--
|
||||
2.6.6
|
||||
|
@ -1,9 +1,9 @@
|
||||
From 1d427bcf3527ba96828a4bd5231409967ff096b4 Mon Sep 17 00:00:00 2001
|
||||
From 0f353853241e002658a9870419a7930fc3414b18 Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Wed, 11 Nov 2015 12:20:33 +0100
|
||||
Subject: [PATCH] 95lunmask: Add module to handle LUN masking
|
||||
Subject: 95lunmask: Add module to handle LUN masking
|
||||
|
||||
Using the module option 'scsi_mod.scan=disabled'
|
||||
Using the module option 'scsi_mod.scan=manual'
|
||||
this implements LUN masking by selectively enable only those
|
||||
devices required for booting.
|
||||
|
||||
@ -16,15 +16,16 @@ Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
modules.d/95lunmask/parse-lunmask.sh | 40 +++++++++++++++
|
||||
modules.d/95lunmask/sas_transport_scan_lun.sh | 26 ++++++++++
|
||||
4 files changed, 162 insertions(+)
|
||||
create mode 100755 modules.d/95lunmask/fc_transport_scan_lun.sh
|
||||
create mode 100755 modules.d/95lunmask/module-setup.sh
|
||||
create mode 100755 modules.d/95lunmask/parse-lunmask.sh
|
||||
create mode 100755 modules.d/95lunmask/sas_transport_scan_lun.sh
|
||||
create mode 100644 modules.d/95lunmask/fc_transport_scan_lun.sh
|
||||
create mode 100644 modules.d/95lunmask/module-setup.sh
|
||||
create mode 100644 modules.d/95lunmask/parse-lunmask.sh
|
||||
create mode 100644 modules.d/95lunmask/sas_transport_scan_lun.sh
|
||||
|
||||
Index: dracut-044/modules.d/95lunmask/fc_transport_scan_lun.sh
|
||||
===================================================================
|
||||
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||
+++ dracut-044/modules.d/95lunmask/fc_transport_scan_lun.sh 2016-04-12 13:13:27.189597634 +0200
|
||||
diff --git a/modules.d/95lunmask/fc_transport_scan_lun.sh b/modules.d/95lunmask/fc_transport_scan_lun.sh
|
||||
new file mode 100644
|
||||
index 0000000..d9f84a3
|
||||
--- /dev/null
|
||||
+++ b/modules.d/95lunmask/fc_transport_scan_lun.sh
|
||||
@@ -0,0 +1,26 @@
|
||||
+#!/bin/bash
|
||||
+#
|
||||
@ -52,10 +53,11 @@ Index: dracut-044/modules.d/95lunmask/fc_transport_scan_lun.sh
|
||||
+fi
|
||||
+[ -z "$TARGET" ] && exit 1
|
||||
+echo $CHANNEL $TARGET $LUN > /sys/class/scsi_host/host$HOST/scan
|
||||
Index: dracut-044/modules.d/95lunmask/module-setup.sh
|
||||
===================================================================
|
||||
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||
+++ dracut-044/modules.d/95lunmask/module-setup.sh 2016-04-12 13:13:27.193597860 +0200
|
||||
diff --git a/modules.d/95lunmask/module-setup.sh b/modules.d/95lunmask/module-setup.sh
|
||||
new file mode 100644
|
||||
index 0000000..6afaed2
|
||||
--- /dev/null
|
||||
+++ b/modules.d/95lunmask/module-setup.sh
|
||||
@@ -0,0 +1,70 @@
|
||||
+#!/bin/bash
|
||||
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||
@ -103,7 +105,7 @@ Index: dracut-044/modules.d/95lunmask/module-setup.sh
|
||||
+ [[ $hostonly ]] || [[ $mount_needs ]] && {
|
||||
+ [ -w /sys/module/scsi_mod/parameters/scan ] || return 255
|
||||
+ scan_type=$(cat /sys/module/scsi_mod/parameters/scan)
|
||||
+ [ "$scan_type" = "disabled" ] && return 0
|
||||
+ [ "$scan_type" = "manual" ] && return 0
|
||||
+ return 255
|
||||
+ }
|
||||
+ return 0
|
||||
@ -127,10 +129,11 @@ Index: dracut-044/modules.d/95lunmask/module-setup.sh
|
||||
+ done
|
||||
+ fi
|
||||
+}
|
||||
Index: dracut-044/modules.d/95lunmask/parse-lunmask.sh
|
||||
===================================================================
|
||||
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||
+++ dracut-044/modules.d/95lunmask/parse-lunmask.sh 2016-04-12 13:13:27.193597860 +0200
|
||||
diff --git a/modules.d/95lunmask/parse-lunmask.sh b/modules.d/95lunmask/parse-lunmask.sh
|
||||
new file mode 100644
|
||||
index 0000000..6646876
|
||||
--- /dev/null
|
||||
+++ b/modules.d/95lunmask/parse-lunmask.sh
|
||||
@@ -0,0 +1,40 @@
|
||||
+#!/bin/sh
|
||||
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||
@ -165,17 +168,18 @@ Index: dracut-044/modules.d/95lunmask/parse-lunmask.sh
|
||||
+ set $lunmask_arg
|
||||
+ IFS="$OLDIFS"
|
||||
+ if [ -d /sys/module/scsi_mod ] ; then
|
||||
+ echo -n "disabled" > /sys/module/scsi_mod/parameters/scan
|
||||
+ echo -n "manual" > /sys/module/scsi_mod/parameters/scan
|
||||
+ elif [ ! -f /etc/modprobe.d/95lunmask.conf ] ; then
|
||||
+ echo "options scsi_mod scan=disabled" > /etc/modprobe.d/95lunmask.conf
|
||||
+ echo "options scsi_mod scan=manual" > /etc/modprobe.d/95lunmask.conf
|
||||
+ fi
|
||||
+ create_udev_rule $1 $2 $3
|
||||
+ )
|
||||
+done
|
||||
Index: dracut-044/modules.d/95lunmask/sas_transport_scan_lun.sh
|
||||
===================================================================
|
||||
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||
+++ dracut-044/modules.d/95lunmask/sas_transport_scan_lun.sh 2016-04-12 13:13:27.193597860 +0200
|
||||
diff --git a/modules.d/95lunmask/sas_transport_scan_lun.sh b/modules.d/95lunmask/sas_transport_scan_lun.sh
|
||||
new file mode 100644
|
||||
index 0000000..f7702f8
|
||||
--- /dev/null
|
||||
+++ b/modules.d/95lunmask/sas_transport_scan_lun.sh
|
||||
@@ -0,0 +1,26 @@
|
||||
+#!/bin/bash
|
||||
+#
|
||||
@ -203,3 +207,6 @@ Index: dracut-044/modules.d/95lunmask/sas_transport_scan_lun.sh
|
||||
+fi
|
||||
+[ -z "$TARGET" ] && exit 1
|
||||
+echo 0 $TARGET $LUN > /sys/class/scsi_host/host$HOST/scan
|
||||
--
|
||||
2.6.6
|
||||
|
||||
|
99
0500-Reset-IFS-variable.patch
Normal file
99
0500-Reset-IFS-variable.patch
Normal file
@ -0,0 +1,99 @@
|
||||
From bcfdc4522d2f04d0a1fd46d80a8ac7ff357b8bc5 Mon Sep 17 00:00:00 2001
|
||||
From: Hannes Reinecke <hare@suse.de>
|
||||
Date: Mon, 14 Jul 2014 10:22:31 +0200
|
||||
Subject: Reset IFS variable
|
||||
|
||||
Setting and unsetting the IFS variable is tricky. To be on the
|
||||
safe side we should always reset the IFS variable to its original
|
||||
value after parsing.
|
||||
|
||||
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||||
---
|
||||
modules.d/95dasd/parse-dasd.sh | 2 ++
|
||||
modules.d/95zfcp/parse-zfcp.sh | 2 ++
|
||||
3 files changed, 6 insertions(+)
|
||||
|
||||
Index: dracut-044/modules.d/95dasd/parse-dasd.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95dasd/parse-dasd.sh 2015-11-25 14:22:28.000000000 +0100
|
||||
+++ dracut-044/modules.d/95dasd/parse-dasd.sh 2016-04-26 15:12:30.739569930 +0200
|
||||
@@ -1,8 +1,10 @@
|
||||
#!/bin/sh
|
||||
for dasd_arg in $(getargs rd.dasd= -d rd_DASD= DASD=); do
|
||||
(
|
||||
+ local OLDIFS="$IFS"
|
||||
IFS=","
|
||||
set -- $dasd_arg
|
||||
+ IFS="$OLDIFS"
|
||||
echo "$@" | normalize_dasd_arg >> /etc/dasd.conf
|
||||
)
|
||||
done
|
||||
Index: dracut-044/modules.d/95dasd_rules/parse-dasd.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95dasd_rules/parse-dasd.sh 2016-04-26 15:12:29.575504027 +0200
|
||||
+++ dracut-044/modules.d/95dasd_rules/parse-dasd.sh 2016-04-26 15:16:13.780196465 +0200
|
||||
@@ -59,8 +59,10 @@ for dasd_arg in $(getargs root=) $(getar
|
||||
;;
|
||||
esac
|
||||
if [ -n "$ccw_arg" ] ; then
|
||||
+ OLDIFS="$IFS"
|
||||
IFS="-"
|
||||
set -- $ccw_arg
|
||||
+ IFS="$OLDIFS"
|
||||
create_udev_rule $2
|
||||
fi
|
||||
)
|
||||
@@ -68,9 +70,10 @@ done
|
||||
|
||||
for dasd_arg in $(getargs rd.dasd=); do
|
||||
(
|
||||
+ OLDIFS="$IFS"
|
||||
IFS=","
|
||||
set -- $dasd_arg
|
||||
- unset IFS
|
||||
+ IFS="$OLDIFS"
|
||||
while (($# > 0)); do
|
||||
case $1 in
|
||||
autodetect|probeonly)
|
||||
@@ -78,13 +81,14 @@ for dasd_arg in $(getargs rd.dasd=); do
|
||||
;;
|
||||
*-*)
|
||||
range=$1
|
||||
+ OLDIFS="$IFS"
|
||||
IFS="-"
|
||||
set -- $range
|
||||
start=${1#0.0.}
|
||||
shift
|
||||
end=${1#0.0.}
|
||||
shift
|
||||
- unset IFS
|
||||
+ IFS="$OLDIFS"
|
||||
for dev in $(seq $(( 16#$start )) $(( 16#$end )) ) ; do
|
||||
create_udev_rule $(printf "0.0.%04x" "$dev")
|
||||
done
|
||||
Index: dracut-044/modules.d/95zfcp_rules/parse-zfcp.sh
|
||||
===================================================================
|
||||
--- dracut-044.orig/modules.d/95zfcp_rules/parse-zfcp.sh 2016-04-26 15:12:30.051530977 +0200
|
||||
+++ dracut-044/modules.d/95zfcp_rules/parse-zfcp.sh 2016-04-26 15:17:31.484595325 +0200
|
||||
@@ -53,8 +53,10 @@ fi
|
||||
|
||||
for zfcp_arg in $(getargs rd.zfcp); do
|
||||
(
|
||||
+ OLDIFS="$IFS"
|
||||
IFS=","
|
||||
set $zfcp_arg
|
||||
+ IFS="$OLDIFS"
|
||||
create_udev_rule $1 $2 $3
|
||||
)
|
||||
done
|
||||
@@ -70,8 +72,10 @@ for zfcp_arg in $(getargs root=) $(getar
|
||||
;;
|
||||
esac
|
||||
if [ -n "$ccw_arg" ] ; then
|
||||
+ OLDIFS="$IFS"
|
||||
IFS="-"
|
||||
set -- $ccw_arg
|
||||
+ IFS="$OLDIFS"
|
||||
_wwpn=${4%:*}
|
||||
_lun=${4#*:}
|
||||
create_udev_rule $2 $wwpn $lun
|
@ -1,19 +1,63 @@
|
||||
-------------------------------------------------------------------
|
||||
Fri Jun 3 14:05:36 UTC 2016 - trenn@suse.de
|
||||
|
||||
- FCOE fix bsc#982588
|
||||
* Add 0212-fcoe_reorder_init_path.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed May 4 15:40:37 CEST 2016 - hare@suse.de
|
||||
|
||||
- Port missing SLES patches
|
||||
* Add 0197-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
|
||||
* Add 0198-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
|
||||
* Remove 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
|
||||
* Remove 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
|
||||
- Rewrite patch:
|
||||
* Add 0302-Revert-90multipath-add-hostonly-multipath.conf-in-ca.patch
|
||||
* Remove 0001-multipath_revert_mpathconf_binary_use.patch
|
||||
- Update 0403-95lunmask-Add-module-to-handle-LUN-masking.patch
|
||||
to match upstream kernel submission (FATE#319786)
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Tue Apr 26 10:01:19 UTC 2016 - trenn@suse.de
|
||||
|
||||
- Add IFS restoring where it has been lost due to mainline merging
|
||||
(bsc#977117)
|
||||
*Add 0500-Reset-IFS-variable.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Mon Apr 25 12:55:06 UTC 2016 - trenn@suse.de
|
||||
|
||||
- Make sure to install collect binary (bsc#976466)
|
||||
* Add: 0188-95dasd_rules-Install-collect-udev-helper-binary.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed Apr 20 10:15:34 UTC 2016 - trenn@suse.de
|
||||
|
||||
- Remove version from requires on subpackage
|
||||
- Add a split provide because of the package split for SLE12 SP1 to SP2 upgrade
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Tue Apr 12 14:05:55 UTC 2016 - trenn@suse.de
|
||||
|
||||
- Forward port of latest SLES patches (fate#320499)
|
||||
Add:
|
||||
* 0170-iscsi-skip-ibft-invalid-dhcp.patch
|
||||
* 0160-s390-update_active_devices_initrd.patch
|
||||
* 0161-95zfcp_rules-simplified-rd.zfcp-commandline-for-NPIV.patch
|
||||
* 0190-replace-iscsistart-with-systemd-service-files.patch
|
||||
* 0191-static_network_setup_return_zero.patch
|
||||
* 0192-iscsi_set_boot_protocol_from_ifcfg.patch
|
||||
* 0193-95iscsi-Set-number-of-login-retries.patch
|
||||
* 0001-multipath_revert_mpathconf_binary_use.patch (fate#320499)
|
||||
* 0170-iscsi-skip-ibft-invalid-dhcp.patch (bsc#953361)
|
||||
* 0160-s390-update_active_devices_initrd.patch (bsc#939101)
|
||||
* 0161-95zfcp_rules-simplified-rd.zfcp-commandline-for-NPIV.patch (bsc#964456)
|
||||
* 0190-replace-iscsistart-with-systemd-service-files.patch (fate#319024)
|
||||
* 0191-static_network_setup_return_zero.patch (bsc#919179)
|
||||
* 0192-iscsi_set_boot_protocol_from_ifcfg.patch (bsc#919179)
|
||||
* 0193-95iscsi-Set-number-of-login-retries.patch (bsc#951003)
|
||||
* 0196-ibft-wait-for-session-on-all-paths.patch (bsc#951003)
|
||||
* 0403-95lunmask-Add-module-to-handle-LUN-masking.patch (FATE#319786)
|
||||
|
||||
Added, but still commented in spec file (still needs adjusting):
|
||||
- Fixup booting from qla4xxx (bsc#951003)
|
||||
* 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
|
||||
* 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
|
||||
* 0196-ibft-wait-for-session-on-all-paths.patch
|
||||
* 0403-95lunmask-Add-module-to-handle-LUN-masking.patch
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed Mar 30 22:27:06 UTC 2016 - dmueller@suse.com
|
||||
|
||||
|
29
dracut.spec
29
dracut.spec
@ -82,6 +82,7 @@ Patch123: 0123-95zfcp_rules-fix-typo-in-module_setup.patch
|
||||
Patch157: 0157-Add-boot-zipl-to-host-devs-if-it-is-a-mount-point.patch
|
||||
Patch160: 0160-s390-update_active_devices_initrd.patch
|
||||
Patch161: 0161-95zfcp_rules-simplified-rd.zfcp-commandline-for-NPIV.patch
|
||||
Patch188: 0188-95dasd_rules-Install-collect-udev-helper-binary.patch
|
||||
|
||||
#FIPS
|
||||
Patch53: 0053-01fips-fixup-loading-issues.patch
|
||||
@ -113,10 +114,9 @@ Patch190: 0190-replace-iscsistart-with-systemd-service-files.patch
|
||||
Patch191: 0191-static_network_setup_return_zero.patch
|
||||
Patch192: 0192-iscsi_set_boot_protocol_from_ifcfg.patch
|
||||
Patch193: 0193-95iscsi-Set-number-of-login-retries.patch
|
||||
# ToDo for author (hare/tsaupe): Fix up and adjust to mainline code
|
||||
#Patch194: 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
|
||||
#Patch195: 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
|
||||
Patch196: 0196-ibft-wait-for-session-on-all-paths.patch
|
||||
Patch197: 0197-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
|
||||
Patch198: 0198-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
|
||||
|
||||
# Submit mainline asap
|
||||
Patch128: 0128-90lvm-Install-dm-snapshot-module.patch
|
||||
@ -131,16 +131,21 @@ Patch207: 0207-handle_module_aliases.patch
|
||||
Patch208: 0208-no_forced_virtnet.patch
|
||||
Patch209: 0209-fix_modules_load_d_hostonly.patch
|
||||
Patch210: 0210-add_fcoe_uefi_check.patch
|
||||
Patch211: 0211-fix_multipath_check_hostonly.patch
|
||||
Patch212: 0212-fcoe_reorder_init_path.patch
|
||||
|
||||
# SUSE-specific fixes
|
||||
Patch300: 0300-dracut_dont_use_dpkg_defaults_on_SUSE.patch
|
||||
Patch301: 0301-include_sysconfig_language.patch
|
||||
Patch302: 0302-Revert-90multipath-add-hostonly-multipath.conf-in-ca.patch
|
||||
Patch211: 0211-fix_multipath_check_hostonly.patch
|
||||
|
||||
# New features/improvements
|
||||
Patch402: 0402-driver-fail-summary.patch
|
||||
Patch403: 0403-95lunmask-Add-module-to-handle-LUN-masking.patch
|
||||
|
||||
# On top patches/fixes which have to be applied late
|
||||
Patch500: 0500-Reset-IFS-variable.patch
|
||||
|
||||
BuildRequires: asciidoc
|
||||
BuildRequires: bash
|
||||
BuildRequires: docbook-xsl-stylesheets
|
||||
@ -194,13 +199,16 @@ and its cryptography during startup.
|
||||
%package tools
|
||||
Summary: Tools to build a local initramfs
|
||||
Group: System/Base
|
||||
Requires: %{name} = %{version}-%{release}
|
||||
Requires: %{name}
|
||||
# split-provides for upgrade from SLES12 SP1 to SLES12 SP2
|
||||
Provides: %{name}:%{_bindir}/dracut-catimages
|
||||
|
||||
%description tools
|
||||
This package contains tools to assemble the local initrd and host configuration.
|
||||
|
||||
%prep
|
||||
%setup -q
|
||||
|
||||
%patch12 -p1
|
||||
%patch13 -p1
|
||||
%patch15 -p1
|
||||
@ -275,14 +283,15 @@ chmod a+x modules.d/91zipl/install_zipl_cmdline.sh
|
||||
%patch180 -p1
|
||||
%patch182 -p1
|
||||
%patch183 -p1
|
||||
%patch188 -p1
|
||||
|
||||
%patch190 -p1
|
||||
%patch191 -p1
|
||||
%patch192 -p1
|
||||
%patch193 -p1
|
||||
#%patch194 -p1
|
||||
#%patch195 -p1
|
||||
%patch196 -p1
|
||||
%patch197 -p1
|
||||
%patch198 -p1
|
||||
|
||||
%patch200 -p1
|
||||
%patch201 -p1
|
||||
@ -295,14 +304,18 @@ chmod a+x modules.d/91zipl/install_zipl_cmdline.sh
|
||||
%patch208 -p1
|
||||
%patch209 -p1
|
||||
%patch210 -p1
|
||||
%patch211 -p1
|
||||
%patch212 -p1
|
||||
|
||||
%patch300 -p1
|
||||
%patch301 -p1
|
||||
%patch302 -p1
|
||||
%patch211 -p1
|
||||
|
||||
%patch402 -p1
|
||||
%patch403 -p1
|
||||
|
||||
%patch500 -p1
|
||||
|
||||
%build
|
||||
%configure\
|
||||
--systemdsystemunitdir=%{_unitdir}\
|
||||
|
Loading…
x
Reference in New Issue
Block a user